---
title: 가드레일 업데이트 | RunAPI
description: 제공된 가드레일 필드를 교체하고 생략된 필드는 변경하지 않습니다.
url: https://runapi.ai/ko/docs/api/management/guardrails/update.md
canonical: https://runapi.ai/ko/docs/api/management/guardrails/update
locale: ko
---

> HTML 버전: https://runapi.ai/ko/docs/api/management/guardrails/update
> 에이전트용 사이트 색인: https://runapi.ai/llms.txt

# 가드레일 업데이트

제공된 가드레일 필드를 교체하고 생략된 필드는 변경하지 않습니다.

## 엔드포인트

PATCH /api/v1/guardrails/:id

Base URL: https://runapi.ai

API 버전: v1

인증: Authorization: Bearer YOUR_MANAGEMENT_API_KEY


Authorization: 계정 관리자 관리 API 키가 필요합니다.

## 요청

나열된 요청 위치에만 값을 전송하세요.

### JSON 본문

```json
{
  "allowed_models": {
    "description": "대체 모델 허용 목록.",
    "required": false,
    "type": "array | null"
  },
  "allowed_providers": {
    "description": "대체 공급자 이름 허용 목록.",
    "required": false,
    "type": "array | null"
  },
  "blocked_models": {
    "description": "대체 모델 차단 목록.",
    "required": false,
    "type": "array | null"
  },
  "blocked_providers": {
    "description": "대체 공급자 이름 차단 목록.",
    "required": false,
    "type": "array | null"
  },
  "credit_limit_cents": {
    "description": "총 지출 한도(USD 센트).",
    "required": false,
    "type": "integer | null"
  },
  "credit_limit_reset_interval": {
    "description": "총 지출 한도 초기화 주기.",
    "enum": [
      "daily",
      "weekly",
      "monthly"
    ],
    "required": false,
    "type": "string | null"
  },
  "description": {
    "description": "대체 자유 형식 설명.",
    "required": false,
    "type": "string"
  },
  "enabled": {
    "description": "가드레일이 적용되는지 여부.",
    "required": false,
    "type": "boolean"
  },
  "model_budgets": {
    "description": "대체 모델별 예산 규칙.",
    "required": false,
    "type": "array | null"
  },
  "name": {
    "description": "대체 가드레일 이름.",
    "required": false,
    "type": "string"
  }
}
```

### 경로 매개변수

```json
{
  "id": {
    "description": "Guardrail 접두사 ID(예: guardrail_abc123).",
    "required": true,
    "type": "string"
  }
}
```

## 성공 응답

HTTP 200 - PATCH /api/v1/guardrails/:id

```json
{
  "allowed_models": [
    "gpt-5.4"
  ],
  "allowed_providers": [],
  "assignment_count": 1,
  "blocked_models": [],
  "blocked_providers": [],
  "created_at": "2026-07-27T10:00:00.000Z",
  "credit_limit_cents": 50000,
  "credit_limit_reset_interval": "monthly",
  "description": "Production policy",
  "enabled": false,
  "id": "guardrail_123",
  "model_budgets": [
    {
      "credit_limit_cents": 10000,
      "credit_limit_reset_interval": "monthly",
      "match_mode": "include",
      "models": [
        "gpt-5.4"
      ]
    }
  ],
  "name": "Production budget"
}
```

## 오류 응답 (401)

HTTP 401

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Authentication required"
}
```

## 오류 응답 (403)

HTTP 403

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Management API key required"
}
```

## 오류 응답 (403)

HTTP 403

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Account admin required"
}
```

## 오류 응답 (400)

HTTP 400

### 응답 스키마

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 오류 메시지.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 유효성 검사 요약입니다.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "공개 요청 필드를 키로 하는 유효성 검사 메시지로, 각 필드에 대해 사람이 읽을 수 있는 문자열 배열이 포함됩니다.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### 응답 예시

```json
{
  "error": "page must be an integer"
}
```

## 오류 응답 (404)

HTTP 404

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Resource not found"
}
```

## 오류 응답 (422)

HTTP 422

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 유효성 검사 요약입니다.",
      "type": "string"
    },
    "errors": {
      "additionalProperties": {
        "items": {
          "type": "string"
        },
        "type": "array"
      },
      "description": "공개 요청 필드를 키로 하는 유효성 검사 메시지로, 각 필드에 대해 사람이 읽을 수 있는 문자열 배열이 포함됩니다.",
      "type": "object"
    }
  },
  "required": [
    "error",
    "errors"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Validation failed",
  "errors": {
    "base": [
      "Validation failed"
    ]
  }
}
```

## cURL 예시



### curl

```curl
curl -X PATCH https://runapi.ai/api/v1/guardrails/guardrail_123 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"enabled":false}'
```

## 관련 참조

- [가드레일](https://runapi.ai/ko/docs/api/management/guardrails.md)
- [Guardrail 객체](https://runapi.ai/ko/docs/api/management/guardrails/object.md)

---

## RunAPI의 더 많은 정보

- [홈](https://runapi.ai/ko/.md)
- [모델 카탈로그](https://runapi.ai/ko/models.md)
- [요금](https://runapi.ai/ko/pricing.md)
- [제공사](https://runapi.ai/ko/models)
- [문서](https://runapi.ai/ko/docs/guides)
- [SDK](https://runapi.ai/ko/sdk.md)
- [CLI](https://runapi.ai/ko/cli.md)
- [MCP Server](https://runapi.ai/ko/mcp.md)
- [Claude Code와 Cursor](https://runapi.ai/ko/claude-code-vs-cursor.md)
- [Cursor API 설정](https://runapi.ai/ko/cursor-api-setup.md)
- [RunAPI와 OpenRouter 비교](https://runapi.ai/ko/openrouter-alternative.md)
- [엔터프라이즈](https://runapi.ai/ko/contact.md)
- [문의](https://runapi.ai/ko/contact.md)
- [약관](https://runapi.ai/ko/terms.md)
- [개인정보](https://runapi.ai/ko/privacy.md)
- [에이전트용 사이트 색인](https://runapi.ai/llms.txt)

문의: contact@runapi.ai

## 구조화된 데이터

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/ko/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/koicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "TechArticle",
    "headline": "가드레일 업데이트",
    "description": "제공된 가드레일 필드를 교체하고 생략된 필드는 변경하지 않습니다.",
    "url": "https://runapi.ai/ko/docs/api/management/guardrails/update",
    "mainEntityOfPage": "https://runapi.ai/ko/docs/api/management/guardrails/update"
  }
]
```
